﻿using HttpMethod = Microsoft.AspNetCore.Server.Kestrel.Core.Internal.Http.HttpMethod;

namespace Scheduler.ScheduleModule
{
    public class AppJob
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string? Description { get; set; }
        public string Cron { get; set; }
        public bool Enable { get; set; }
        public EJobType JobType { get; set; }

        public HttpMethod Method { get; set; }

        public string Path { get; set; }
        //todo header, params
    }

    public enum EJobType
    {
        HttpRequest = 0,

        /// <summary>
        /// 内部执行任务
        /// </summary>
        InnerTask = 1,
    }
}
